openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Don Lewis <truck...@apache.org>
Subject Re: FYI: The OO 4.1.4 Mac problem
Date Wed, 15 Nov 2017 18:24:00 GMT
On 15 Nov, Jim Jagielski wrote:
> Agreed.
> 
> FWIW, I have been unable to even create a 4.1.2 build that works in
> both cases, and this is via various combinations of libxml2, libxslt, Xcode (both
> 7 and 8) and selected SDKs.

Look for system libraries that that we use and that link to libxml2
and/or libxslt.  I suspect that is some sort of ABI difference between
versions.  If we bundle these libraries, some other system library
breaks because it expects the system libxml2/libxslt ABI but it is
linked to the bundled version.  If we don't bundle these libraries, then
we expect the ABI of whatever version is on the system where we do the
build and break when running on a different version of Mac OS.


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
For additional commands, e-mail: dev-help@openoffice.apache.org


Mime
View raw message